tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brent R. Matzelle" <bmatze...@yahoo.com>
Subject Bug Report #813 fix
Date Mon, 26 Feb 2001 19:51:38 GMT
Hello,

I have a bug fix for the above problem.  I got the same error that this 
person did.  This error is with ANT specifically.  The JAR file tools.jar 
must be in the CLASSPATH or in $JAVA_HOME/jre/lib/ext, which it is not in 
Sun's Java 1.3 (it is in $JAVA_HOME/lib).  

Also, I was getting several errors about deprecation during the ANT build and 
I found that the program was not finding the version of my compiler.  To fix 
these problems I edited Project.java file found in ANT's source tree here: 
/src/main/org/apache/tools/ant.  I altered the getJavaVersion function (line 
335) by adding a getProperty line:

public static String getJavaVersion() {
    	String javaVersion = System.getProperty("java.version");
       return javaVersion;
}

I hope this helps.  Thank you.

Brent

"First, they ignore you. Then they laugh at you. Then they fight you. Then 
you win."
-Mahatma Ghandi



Mime
View raw message